Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 117662 - media-libs/janus-0.4.[56]: build fails in src_compile
Summary: media-libs/janus-0.4.[56]: build fails in src_compile
Status: RESOLVED CANTFIX
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: x86 Linux
: High normal (vote)
Assignee: Christian Heim (RETIRED)
URL:
Whiteboard: PENDING REMOVAL Dec 4th 2006
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2006-01-03 13:57 UTC by Sascha Silbe
Modified: 2007-01-06 21:38 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sascha Silbe 2006-01-03 13:57:35 UTC
c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src -I/usr/include/g++ -Wall -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include -I/usr/X11R6/include -DDEBUG -g -Wall -DDEBUG -g -Wall -O3 -march=athlon-xp -pipe -fomit-frame-pointer -c toolkit.cpp  -fPIC -DPIC -o toolkit.lo
pushbutton.cpp: In constructor `Janus::PushButton::PushButton(const 
   Janus::Element::Parameters&)':
pushbutton.cpp:14: error: `assert' undeclared (first use this function)
pushbutton.cpp:14: error: (Each undeclared identifier is reported only once for 
   each function it appears in.)
make[3]: *** [pushbutton.lo] Error 1
make[3]: *** Waiting for unfinished jobs....
make[2]: *** [all-recursive] Error 1
make[1]: *** [all-recursive] Error 1
make: *** [all-recursive-am] Error 2

!!! ERROR: media-libs/janus-0.4.5 failed.
!!! Function src_compile, Line 22, Exitcode 2
!!! (no error message)
!!! If you need support, post the topmost build error, NOT this status message.


Portage 2.0.53 (default-linux/x86/2005.0, gcc-3.3.6, glibc-2.3.5-r2, 2.6.11.10-infra i686)
=================================================================
System uname: 2.6.11.10-infra i686 mobile AMD Athlon(tm) XP2500+
Gentoo Base System version 1.6.13
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [disabled]
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/grass60/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/afs/C /etc/afs/afsws /etc/afs/modload /etc/gconf /etc/make.globals /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks fixpackages sandbox severe sfperms strict test userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.easynet.nl/mirror/gentoo/ http://gentoo.inode.at/ ftp://gentoo.inode.at/source/"
LANG="en_US"
LINGUAS="en_US en_GB en de_DE de"
MAKEOPTS="-j2 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /share/infra/work/portage-local--main--1.0"
SYNC="rsync://copper.sascha.silbe.org/gentoo-portage"
USE="x86 3dnow 3dnowex 3dnowext X a52 aac accessibility acl acpi afs alsa audiofile avi bash-completion berkdb bitmap-fonts blas bzip2 bzlib ccache cdb cdparanoia cdr chipcard crypt cups curl doc dts dv dvd dvdread ecc emboss encode exif expat f77 fam ffmpeg flac foomaticdb fortran gatos gd gdbm geldkarte gif gimpprint glut gmp gps gstreamer gtk gtk2 gtkhtml guile hbci idn imagemagick imap imlib ipv6 jasper jpeg jpeg2k lcms libg++ libwww lua lzo mad maildir makecheck mbox mhash mikmod mmx mmxext mng monitor mp3 mpeg nas ncurses nls nodrm offensive ogdi ogg oggvorbis opengl pam pcmcia pcre pdflib png postgres python qt qtmt quicktime readline rtc samba sdl skey smartcard socks5 spell sse ssl svg test tetex theora tiff truetype truetype-fonts type1-fonts udev unicode usb userlocales vorbis win32codecs xine xml xml2 xosd xv xvid zlib video_cards_radeon input_devices_synaptics linguas_en_US linguas_en_GB linguas_en linguas_de_DE linguas_de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS
Comment 1 Sascha Silbe 2006-01-03 14:04:17 UTC
media-libs/janus-0.4.6 fails the same way.
Comment 2 Jakub Moc (RETIRED) gentoo-dev 2006-01-03 14:06:57 UTC
emerge --info, please...
Comment 3 Sascha Silbe 2006-01-03 14:44:55 UTC
Portage 2.0.53 (default-linux/x86/2005.0, gcc-3.3.6, glibc-2.3.5-r2, 2.6.11.10-infra i686)
=================================================================
System uname: 2.6.11.10-infra i686 mobile AMD Athlon(tm) XP2500+
Gentoo Base System version 1.6.13
distcc 2.18.3 i686-pc-linux-gnu (protocols 1 and 2) (default port 3632) [disabled]
ccache version 2.3 [disabled]
dev-lang/python:     2.4.2
sys-apps/sandbox:    1.2.12
sys-devel/autoconf:  2.13, 2.59-r6
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r1
sys-devel/binutils:  2.16.1
sys-devel/libtool:   1.5.20
virtual/os-headers:  2.6.11-r2
ACCEPT_KEYWORDS="x86"
AUTOCLEAN="yes"
CBUILD="i686-pc-linux-gnu"
CFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
CHOST="i686-pc-linux-gnu"
CONFIG_PROTECT="/etc /usr/grass60/etc /usr/kde/2/share/config /usr/kde/3.3/env /usr/kde/3.3/share/config /usr/kde/3.3/shutdown /usr/kde/3.4/env /usr/kde/3.4/share/config /usr/kde/3.4/shutdown /usr/kde/3/share/config /usr/lib/X11/xkb /usr/share/config /usr/share/texmf/dvipdfm/config/ /usr/share/texmf/dvips/config/ /usr/share/texmf/tex/generic/config/ /usr/share/texmf/tex/platex/config/ /usr/share/texmf/xdvi/ /var/qmail/control"
CONFIG_PROTECT_MASK="/etc/afs/C /etc/afs/afsws /etc/afs/modload /etc/gconf /etc/make.globals /etc/terminfo /etc/env.d"
CXXFLAGS="-O3 -march=athlon-xp -pipe -fomit-frame-pointer"
DISTDIR="/usr/portage/distfiles"
FEATURES="autoconfig collision-protect distlocks fixpackages sandbox severe sfperms strict test userpriv usersandbox"
GENTOO_MIRRORS="ftp://ftp.easynet.nl/mirror/gentoo/ http://gentoo.inode.at/ ftp://gentoo.inode.at/source/"
LANG="en_US"
LINGUAS="en,de"
MAKEOPTS="-j2 -s"
PKGDIR="/usr/portage/packages"
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage /share/infra/work/portage-local--main--1.0"
SYNC="rsync://copper.sascha.silbe.org/gentoo-portage"
USE="x86 3dnow 3dnowex 3dnowext X a52 aac accessibility acl acpi afs alsa audiofile avi bash-completion berkdb bitmap-fonts blas bzip2 bzlib ccache cdb cdparanoia cdr chipcard crypt cups curl doc dts dv dvd dvdread ecc emboss encode exif expat f77 fam ffmpeg flac foomaticdb fortran gatos gd gdbm geldkarte gif gimpprint glut gmp gps gstreamer gtk gtk2 gtkhtml guile hbci idn imagemagick imap imlib ipv6 jasper jpeg jpeg2k lcms libg++ libwww lua lzo mad maildir makecheck mbox mhash mikmod mmx mmxext mng monitor mp3 mpeg nas ncurses nls nodrm offensive ogdi ogg oggvorbis opengl pam pcmcia pcre pdflib png postgres python qt qtmt quicktime readline rtc samba sdl skey smartcard socks5 spell sse ssl svg test tetex theora tiff truetype truetype-fonts type1-fonts udev unicode usb userlocales vorbis win32codecs xine xml xml2 xosd xv xvid zlib video_cards_radeon input_devices_synaptics linguas_en,de userland_GNU kernel_linux elibc_glibc"
Unset:  ASFLAGS, CTARGET, LC_ALL, LDFLAGS
Comment 4 Carsten Lohrke (RETIRED) gentoo-dev 2006-10-20 19:21:57 UTC
The last release of this library happened in 2002, no ones cares for it, nothing depends on it, time to punt it.
Comment 5 Christian Heim (RETIRED) gentoo-dev 2006-11-04 12:10:21 UTC
nothing depends on it -> p.masked
Comment 6 Jakub Moc (RETIRED) gentoo-dev 2006-12-16 19:52:31 UTC
# Christian Heim <phreak@gentoo.org> (04 Nov 2006)
# masking the following packages for treecleaners and bugs
# Pending removal Dec 04th 2006:
# #117662 - media-libs/janus
# #125491 - net-analyzer/tcpick
media-libs/janus
net-analyzer/tcpick

Time to die... ;)
Comment 7 Christian Heim (RETIRED) gentoo-dev 2007-01-06 21:38:32 UTC
(In reply to comment #0)
> c++ -DHAVE_CONFIG_H -I. -I. -I../.. -I../../src -I/usr/include/g++ -Wall
> -I/usr/include/gtk-1.2 -I/usr/include/glib-1.2 -I/usr/lib/glib/include
> -I/usr/X11R6/include -DDEBUG -g -Wall -DDEBUG -g -Wall -O3 -march=athlon-xp
> -pipe -fomit-frame-pointer -c toolkit.cpp  -fPIC -DPIC -o toolkit.lo
> pushbutton.cpp: In constructor `Janus::PushButton::PushButton(const 
>    Janus::Element::Parameters&)':
> pushbutton.cpp:14: error: `assert' undeclared (first use this function)
> pushbutton.cpp:14: error: (Each undeclared identifier is reported only once for 
>    each function it appears in.)
> make[3]: *** [pushbutton.lo] Error 1
> make[3]: *** Waiting for unfinished jobs....
> make[2]: *** [all-recursive] Error 1
> make[1]: *** [all-recursive] Error 1
> make: *** [all-recursive-am] Error 2
> 
> !!! ERROR: media-libs/janus-0.4.5 failed.
> !!! Function src_compile, Line 22, Exitcode 2
> !!! (no error message)
> !!! If you need support, post the topmost build error, NOT this status message.

This isn't valid anymore, works with =gcc-3.4.6* and =gcc-4* (thanks to Harald for testing); thus removing the package mask and closing this bug as CANTFIX.